org.apache.ode.bpel.elang.xpath10.compiler

## Class XslCompilationErrorListener

- java.lang.Object
- - org.apache.ode.bpel.elang.xpath10.compiler.XslCompilationErrorListener

- All Implemented Interfaces:
    javax.xml.transform.ErrorListener

      public class XslCompilationErrorListener
      extends java.lang.Object
      implements javax.xml.transform.ErrorListener

  Reports errors that occured during Xsl sheets processing. This implementation isn't built to be thread safe in case multiple compilations occur parrallely, however this shouldn't occur.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XslCompilationErrorListener(CompilerContext cc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(javax.xml.transform.TransformerException exception)`
    `void` | `fatalError(javax.xml.transform.TransformerException exception)`
    `void` | `warning(javax.xml.transform.TransformerException exception)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XslCompilationErrorListener

          public XslCompilationErrorListener(CompilerContext cc)

  - ### Method Detail

    - #### warning

          public void warning(javax.xml.transform.TransformerException exception)
                       throws javax.xml.transform.TransformerException

      Specified by:
        `warning` in interface `javax.xml.transform.ErrorListener`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### error

          public void error(javax.xml.transform.TransformerException exception)
                     throws javax.xml.transform.TransformerException

      Specified by:
        `error` in interface `javax.xml.transform.ErrorListener`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### fatalError

          public void fatalError(javax.xml.transform.TransformerException exception)
                          throws javax.xml.transform.TransformerException

      Specified by:
        `fatalError` in interface `javax.xml.transform.ErrorListener`
      Throws:
        `javax.xml.transform.TransformerException`